import request from '@/utils/request'

// 查询用户信息采集进度列表
export function listCollectionSchedule(query) {
  return request({
    url: '/store/collectionSchedule/list',
    method: 'get',
    params: query
  })
}

// 查询用户信息采集进度详细
export function getCollectionSchedule(id) {
  return request({
    url: '/store/collectionSchedule/' + id,
    method: 'get'
  })
}

// 新增用户信息采集进度
export function addCollectionSchedule(data) {
  return request({
    url: '/store/collectionSchedule',
    method: 'post',
    data: data
  })
}

// 修改用户信息采集进度
export function updateCollectionSchedule(data) {
  return request({
    url: '/store/collectionSchedule',
    method: 'put',
    data: data
  })
}
// 终止用户信息采集进度(暂时弃用)
export function endProcess(data) {
  return request({
    url: '/store/collectionSchedule/endProcess',
    method: 'put',
    data: data
  })
}  // 终止用户信息采集进度
export function stop(data) {
  return request({
    url: '/store/store/collection/stop',
    method: 'put',
    data: data
  })
}

// 删除用户信息采集进度
export function delCollectionSchedule(id) {
  return request({
    url: '/store/collectionSchedule/' + id,
    method: 'delete'
  })
}

// 导出用户信息采集进度
export function exportCollectionSchedule(query) {
  return request({
    url: '/store/collectionSchedule/export',
    method: 'get',
    params: query
  })
}

// 获取流程步骤枚举
export function getCollectionScheduleSteps() {
  return request({
    url: '/store/collectionSchedule/steps',
    method: 'get'
  });
}
